// BenLincoln.DaVinci.GUI - A shared library used by The Mirror's Surface Breaks
// Copyright 2010-2011 Ben Lincoln
// http://www.beneaththewaves.net/
//

// This file is part of BenLincoln.DaVinci.GUI.

// BenLincoln.DaVinci.GUI is free software: you can redistribute it and/or modify
// it under the terms of version 3 of the GNU General Public License as published by
// the Free Software Foundation.

// BenLincoln.DaVinci.GUI is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with BenLincoln.DaVinci.GUI (in the file LICENSE.txt).  
// If not, see <http://www.gnu.org/licenses/>.

using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;

namespace BenLincoln.DaVinci.GUI
{
    public class ClickableThumbnailMenuItem : System.Windows.Forms.MenuItem
    {
        protected System.EventHandler _ClickEventHandler;

        public ClickableThumbnailMenuItem()
            : base()
        {
        }

        public ClickableThumbnailMenuItem(string text)
            : base(text)
        {
        }

        protected override void Dispose(bool disposing)
        {
            if (_ClickEventHandler != null)
            {
                this.Click -= _ClickEventHandler;
                _ClickEventHandler = null;
            }
            base.Text = "";

            base.Dispose(disposing);
        }

        public void SetClickEventHandler(System.EventHandler handler)
        {
            if (_ClickEventHandler != null)
            {
                this.Click -= _ClickEventHandler;
            }
            this.Click += handler;
            _ClickEventHandler = handler;
        }
    }
}
