// BenLincoln.DaVinci.GUI - A shared library used by The Mirror's Surface Breaks
// Copyright 2010-2011 Ben Lincoln
// http://www.beneaththewaves.net/
//

// This file is part of BenLincoln.DaVinci.GUI.

// BenLincoln.DaVinci.GUI is free software: you can redistribute it and/or modify
// it under the terms of version 3 of the GNU General Public License as published by
// the Free Software Foundation.

// BenLincoln.DaVinci.GUI is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with BenLincoln.DaVinci.GUI (in the file LICENSE.txt).  
// If not, see <http://www.gnu.org/licenses/>.

using System;

namespace BenLincoln.DaVinci.GUI
{
    partial class ProcessableItemQueueGrid
    {
        /// <summary> 
        /// Required designer variable.
        /// </summary>
        private System.ComponentModel.IContainer components = null;

        /// <summary> 
        /// Clean up any resources being used.
        /// </summary>
        /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
        protected override void Dispose(bool disposing)
        {
            if (disposing && (components != null))
            {
                components.Dispose();
            }
            try
            {
                RemoveWaitStartedHandler();
                RemoveWaitFinishedHandler();
                base.Dispose(disposing);
            }
            catch (Exception ex)
            {
                // do nothing
            }
        }

        #region Component Designer generated code

        /// <summary> 
        /// Required method for Designer support - do not modify 
        /// the contents of this method with the code editor.
        /// </summary>
        private void InitializeComponent()
        {
            this.dgQueue = new System.Windows.Forms.DataGridView();
            this.colName = new System.Windows.Forms.DataGridViewTextBoxColumn();
            this.colStatus = new System.Windows.Forms.DataGridViewTextBoxColumn();
            this.colInformation = new System.Windows.Forms.DataGridViewTextBoxColumn();
            this.pnlControls1 = new System.Windows.Forms.Panel();
            this.btnMoveDown = new System.Windows.Forms.Button();
            this.btnMoveUp = new System.Windows.Forms.Button();
            this.btnAddRecursively = new System.Windows.Forms.Button();
            this.btnAdd = new System.Windows.Forms.Button();
            this.btnRemoveCompleted = new System.Windows.Forms.Button();
            this.btnRemoveSelected = new System.Windows.Forms.Button();
            this.pnlControls2 = new System.Windows.Forms.Panel();
            this.lblItemCount = new System.Windows.Forms.Label();
            this.chkAddRecursively = new System.Windows.Forms.CheckBox();
            ((System.ComponentModel.ISupportInitialize)(this.dgQueue)).BeginInit();
            this.pnlControls1.SuspendLayout();
            this.pnlControls2.SuspendLayout();
            this.SuspendLayout();
            // 
            // dgQueue
            // 
            this.dgQueue.AllowUserToAddRows = false;
            this.dgQueue.AllowUserToDeleteRows = false;
            this.dgQueue.AutoSizeColumnsMode = System.Windows.Forms.DataGridViewAutoSizeColumnsMode.Fill;
            this.dgQueue.AutoSizeRowsMode = System.Windows.Forms.DataGridViewAutoSizeRowsMode.AllCells;
            this.dgQueue.BackgroundColor = System.Drawing.SystemColors.Control;
            this.dgQueue.ClipboardCopyMode = System.Windows.Forms.DataGridViewClipboardCopyMode.EnableWithoutHeaderText;
            this.dgQueue.ColumnHeadersHeightSizeMode = System.Windows.Forms.DataGridViewColumnHeadersHeightSizeMode.AutoSize;
            this.dgQueue.Columns.AddRange(new System.Windows.Forms.DataGridViewColumn[] {
            this.colName,
            this.colStatus,
            this.colInformation});
            this.dgQueue.Dock = System.Windows.Forms.DockStyle.Fill;
            this.dgQueue.Location = new System.Drawing.Point(0, 0);
            this.dgQueue.Name = "dgQueue";
            this.dgQueue.ReadOnly = true;
            this.dgQueue.RowHeadersVisible = false;
            this.dgQueue.ScrollBars = System.Windows.Forms.ScrollBars.Vertical;
            this.dgQueue.SelectionMode = System.Windows.Forms.DataGridViewSelectionMode.FullRowSelect;
            this.dgQueue.Size = new System.Drawing.Size(765, 164);
            this.dgQueue.TabIndex = 0;
            this.dgQueue.DragEnter += new System.Windows.Forms.DragEventHandler(this.dgQueue_DragEnter);
            this.dgQueue.DragDrop += new System.Windows.Forms.DragEventHandler(this.dgQueue_DragDrop);
            // 
            // colName
            // 
            this.colName.HeaderText = "Name";
            this.colName.Name = "colName";
            this.colName.ReadOnly = true;
            // 
            // colStatus
            // 
            this.colStatus.HeaderText = "Status";
            this.colStatus.Name = "colStatus";
            this.colStatus.ReadOnly = true;
            // 
            // colInformation
            // 
            this.colInformation.HeaderText = "Information";
            this.colInformation.Name = "colInformation";
            this.colInformation.ReadOnly = true;
            // 
            // pnlControls1
            // 
            this.pnlControls1.AllowDrop = true;
            this.pnlControls1.Controls.Add(this.btnMoveDown);
            this.pnlControls1.Controls.Add(this.btnMoveUp);
            this.pnlControls1.Controls.Add(this.btnAddRecursively);
            this.pnlControls1.Controls.Add(this.btnAdd);
            this.pnlControls1.Controls.Add(this.btnRemoveCompleted);
            this.pnlControls1.Controls.Add(this.btnRemoveSelected);
            this.pnlControls1.Dock = System.Windows.Forms.DockStyle.Right;
            this.pnlControls1.Location = new System.Drawing.Point(765, 0);
            this.pnlControls1.Name = "pnlControls1";
            this.pnlControls1.Size = new System.Drawing.Size(148, 191);
            this.pnlControls1.TabIndex = 1;
            // 
            // btnMoveDown
            // 
            this.btnMoveDown.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
            this.btnMoveDown.Location = new System.Drawing.Point(4, 33);
            this.btnMoveDown.Name = "btnMoveDown";
            this.btnMoveDown.Size = new System.Drawing.Size(141, 23);
            this.btnMoveDown.TabIndex = 5;
            this.btnMoveDown.Text = "Move Down";
            this.btnMoveDown.UseVisualStyleBackColor = true;
            this.btnMoveDown.Click += new System.EventHandler(this.btnMoveDown_Click);
            // 
            // btnMoveUp
            // 
            this.btnMoveUp.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
            this.btnMoveUp.Location = new System.Drawing.Point(4, 4);
            this.btnMoveUp.Name = "btnMoveUp";
            this.btnMoveUp.Size = new System.Drawing.Size(141, 23);
            this.btnMoveUp.TabIndex = 4;
            this.btnMoveUp.Text = "Move Up";
            this.btnMoveUp.UseVisualStyleBackColor = true;
            this.btnMoveUp.Click += new System.EventHandler(this.btnMoveUp_Click);
            // 
            // btnAddRecursively
            // 
            this.btnAddRecursively.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
            this.btnAddRecursively.Location = new System.Drawing.Point(4, 90);
            this.btnAddRecursively.Name = "btnAddRecursively";
            this.btnAddRecursively.Size = new System.Drawing.Size(141, 23);
            this.btnAddRecursively.TabIndex = 3;
            this.btnAddRecursively.Text = "Add Items Recursively";
            this.btnAddRecursively.UseVisualStyleBackColor = true;
            this.btnAddRecursively.Click += new System.EventHandler(this.btnAddRecursively_Click);
            // 
            // btnAdd
            // 
            this.btnAdd.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
            this.btnAdd.Location = new System.Drawing.Point(4, 61);
            this.btnAdd.Name = "btnAdd";
            this.btnAdd.Size = new System.Drawing.Size(141, 23);
            this.btnAdd.TabIndex = 2;
            this.btnAdd.Text = "Add Item";
            this.btnAdd.UseVisualStyleBackColor = true;
            this.btnAdd.Click += new System.EventHandler(this.btnAdd_Click);
            // 
            // btnRemoveCompleted
            // 
            this.btnRemoveCompleted.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
            this.btnRemoveCompleted.Location = new System.Drawing.Point(4, 148);
            this.btnRemoveCompleted.Name = "btnRemoveCompleted";
            this.btnRemoveCompleted.Size = new System.Drawing.Size(141, 23);
            this.btnRemoveCompleted.TabIndex = 1;
            this.btnRemoveCompleted.Text = "Remove Completed Items";
            this.btnRemoveCompleted.UseVisualStyleBackColor = true;
            this.btnRemoveCompleted.Click += new System.EventHandler(this.btnRemoveCompleted_Click);
            // 
            // btnRemoveSelected
            // 
            this.btnRemoveSelected.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
            this.btnRemoveSelected.Location = new System.Drawing.Point(4, 119);
            this.btnRemoveSelected.Name = "btnRemoveSelected";
            this.btnRemoveSelected.Size = new System.Drawing.Size(141, 23);
            this.btnRemoveSelected.TabIndex = 0;
            this.btnRemoveSelected.Text = "Remove Selected Items";
            this.btnRemoveSelected.UseVisualStyleBackColor = true;
            this.btnRemoveSelected.Click += new System.EventHandler(this.btnRemoveSelected_Click);
            // 
            // pnlControls2
            // 
            this.pnlControls2.Controls.Add(this.lblItemCount);
            this.pnlControls2.Controls.Add(this.chkAddRecursively);
            this.pnlControls2.Dock = System.Windows.Forms.DockStyle.Bottom;
            this.pnlControls2.Location = new System.Drawing.Point(0, 164);
            this.pnlControls2.Name = "pnlControls2";
            this.pnlControls2.Size = new System.Drawing.Size(765, 27);
            this.pnlControls2.TabIndex = 2;
            // 
            // lblItemCount
            // 
            this.lblItemCount.AutoSize = true;
            this.lblItemCount.Location = new System.Drawing.Point(4, 6);
            this.lblItemCount.Name = "lblItemCount";
            this.lblItemCount.Size = new System.Drawing.Size(49, 13);
            this.lblItemCount.TabIndex = 2;
            this.lblItemCount.Text = "N Item(s)";
            // 
            // chkAddRecursively
            // 
            this.chkAddRecursively.AutoSize = true;
            this.chkAddRecursively.Location = new System.Drawing.Point(472, 6);
            this.chkAddRecursively.Name = "chkAddRecursively";
            this.chkAddRecursively.Size = new System.Drawing.Size(290, 17);
            this.chkAddRecursively.TabIndex = 1;
            this.chkAddRecursively.Text = "Add Items Recursively When Dropped Onto The Queue";
            this.chkAddRecursively.UseVisualStyleBackColor = true;
            this.chkAddRecursively.CheckedChanged += new System.EventHandler(this.chkAddRecursively_CheckedChanged);
            // 
            // ProcessableItemQueueGrid
            // 
            this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
            this.Controls.Add(this.dgQueue);
            this.Controls.Add(this.pnlControls2);
            this.Controls.Add(this.pnlControls1);
            this.Name = "ProcessableItemQueueGrid";
            this.Size = new System.Drawing.Size(913, 191);
            ((System.ComponentModel.ISupportInitialize)(this.dgQueue)).EndInit();
            this.pnlControls1.ResumeLayout(false);
            this.pnlControls2.ResumeLayout(false);
            this.pnlControls2.PerformLayout();
            this.ResumeLayout(false);

        }

        #endregion

        private System.Windows.Forms.DataGridView dgQueue;
        private System.Windows.Forms.Panel pnlControls1;
        private System.Windows.Forms.Panel pnlControls2;
        private System.Windows.Forms.CheckBox chkAddRecursively;
        private System.Windows.Forms.Button btnRemoveCompleted;
        private System.Windows.Forms.Button btnRemoveSelected;
        private System.Windows.Forms.Button btnAddRecursively;
        private System.Windows.Forms.Button btnAdd;
        private System.Windows.Forms.DataGridViewTextBoxColumn colName;
        private System.Windows.Forms.DataGridViewTextBoxColumn colStatus;
        private System.Windows.Forms.DataGridViewTextBoxColumn colInformation;
        private System.Windows.Forms.Label lblItemCount;
        private System.Windows.Forms.Button btnMoveDown;
        private System.Windows.Forms.Button btnMoveUp;
    }
}
