// BenLincoln.DaVinci - A shared library used by The Mirror's Surface Breaks
// Copyright 2010-2011 Ben Lincoln
// http://www.beneaththewaves.net/
//

// This file is part of BenLincoln.DaVinci.

// BenLincoln.DaVinci is free software: you can redistribute it and/or modify
// it under the terms of version 3 of the GNU General Public License as published by
// the Free Software Foundation.

// BenLincoln.DaVinci is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with BenLincoln.DaVinci (in the file LICENSE.txt).  
// If not, see <http://www.gnu.org/licenses/>.

using System;
using System.Collections.Generic;
using System.Text;

namespace BenLincoln.DaVinci
{
    public class DirectoryProcessingArgs : ThreadedEventArgs
    {
        protected string _DirectoryPath;
        protected TimeSpan _ElapsedTime;

        #region Properties

        public string DirectoryPath
        {
            get
            {
                return _DirectoryPath;
            }
        }

        public TimeSpan ElapsedTime
        {
            get
            {
                return _ElapsedTime;
            }
        }

        #endregion

        public DirectoryProcessingArgs(int engineNumber, int globalThreadNumber, string directoryPath, TimeSpan elapsedTime)
            : base(engineNumber, globalThreadNumber)
        {
            _DirectoryPath = directoryPath;
            _ElapsedTime = elapsedTime;
        }
    }
}
