// The Mirror's Surface Breaks
// Copyright 2010-2011 Ben Lincoln
// http://www.beneaththewaves.net/
//

// This file is part of The Mirror's Surface Breaks.

// The Mirror's Surface Breaks is free software: you can redistribute it and/or modify
// it under the terms of version 3 of the GNU General Public License as published by
// the Free Software Foundation.

// The Mirror's Surface Breaks is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with The Mirror's Surface Breaks (in the file LICENSE.txt).  
// If not, see <http://www.gnu.org/licenses/>.

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace TMSBGUI
{
    public partial class frmProcessingStatusTest : Form
    {
        protected Timer _TestTimer;

        public frmProcessingStatusTest()
        {
            InitializeComponent();

            _TestTimer = new System.Windows.Forms.Timer();
            _TestTimer.Interval = 10000;
            _TestTimer.Tick += _TestTimer_Tick;

            string img1 = @"D:\DaVinci\TMSB_Test\05-Petroglyphs\FC-3C-NIR-R-UVA.TIF";
            string img2 = @"D:\DaVinci\TMSB_Test\05-Petroglyphs\FC-3C-NIR-R-UVA.JPG";
            string[] testPaths = new string[] { img1, img2 };
            //ctTest1.ImagePaths = testPaths;
            //ctTest1.SetPrimaryImage(img1);
            //ctTest1.SetThumbnailSourceImage(img2);
            //ctTest1.ThumbnailSourceImageIndex = 1;
            //ctTest1.ReloadConfiguration();

            stThumbnailsTest1.QueueThumbnail(testPaths, img1, img2);

            img1 = @"D:\DaVinci\TMSB_Test\01-Vista\FC-Gr-(Calculated-ASVI_(Full_Range))-Vegetation_Index_Triple_Scale_1.TIF";
            img2 = @"D:\DaVinci\TMSB_Test\01-Vista\FC-Gr-(Calculated-ASVI_(Full_Range))-Vegetation_Index_Triple_Scale_1.JPG";
            testPaths = new string[] { img1, img2 };
            //ctTest2.ImagePaths = testPaths;
            //ctTest2.SetPrimaryImage(img1);
            //ctTest2.SetThumbnailSourceImage(img2);
            //ctTest2.ReloadConfiguration();
            stThumbnailsTest1.QueueThumbnail(testPaths, img1, img2);

            img1 = @"V:\Digital Photos\2010-06-29 - Gasworks Park\03-Complex-03\TMSB\FC-3C-All_Bands_(Skew)-All_Bands_(ADev)-All_Bands_(Range)-Standard_Normalization.TIF";
            img2 = @"V:\Digital Photos\2010-06-29 - Gasworks Park\03-Complex-03\TMSB\FC-3C-All_Bands_(Skew)-All_Bands_(ADev)-All_Bands_(Range)-Standard_Normalization.JPG";
            testPaths = new string[] { img1, img2 };
            //ctTest3.ImagePaths = testPaths;
            //ctTest3.SetPrimaryImage(img1);
            //ctTest3.SetThumbnailSourceImage(img2);
            //ctTest3.ReloadConfiguration();
            stThumbnailsTest1.QueueThumbnail(testPaths, img1, img2);

            img1 = @"C:\Bogus_Path.TIF";
            img2 = @"V:\Bogus_Path.JPG";
            testPaths = new string[] { img1, img2 };
            //ctTest4.ImagePaths = testPaths;
            //ctTest4.SetPrimaryImage(img1);
            //ctTest4.SetThumbnailSourceImage(img2);
            //ctTest4.ReloadConfiguration();
            stThumbnailsTest1.QueueThumbnail(testPaths, img1, img2);

            _TestTimer.Enabled = true;

        }

        void _TestTimer_Tick(object sender, EventArgs e)
        {
            string img1 = @"D:\DaVinci\TMSB_Test\05-Petroglyphs\FC-3C-NIR-R-UVA.TIF";
            string img2 = @"D:\DaVinci\TMSB_Test\05-Petroglyphs\FC-3C-NIR-R-UVA.JPG";
            string[] testPaths = new string[] { img1, img2 };
            stThumbnailsTest2.QueueThumbnail(testPaths, img1, img2);

            img1 = @"D:\DaVinci\TMSB_Test\01-Vista\FC-Gr-(Calculated-ASVI_(Full_Range))-Vegetation_Index_Triple_Scale_1.TIF";
            img2 = @"D:\DaVinci\TMSB_Test\01-Vista\FC-Gr-(Calculated-ASVI_(Full_Range))-Vegetation_Index_Triple_Scale_1.JPG";
            testPaths = new string[] { img1, img2 };
            stThumbnailsTest2.QueueThumbnail(testPaths, img1, img2);

            img1 = @"V:\Digital Photos\2010-06-29 - Gasworks Park\03-Complex-03\TMSB\FC-3C-All_Bands_(Skew)-All_Bands_(ADev)-All_Bands_(Range)-Standard_Normalization.TIF";
            img2 = @"V:\Digital Photos\2010-06-29 - Gasworks Park\03-Complex-03\TMSB\FC-3C-All_Bands_(Skew)-All_Bands_(ADev)-All_Bands_(Range)-Standard_Normalization.JPG";
            testPaths = new string[] { img1, img2 };
            stThumbnailsTest2.QueueThumbnail(testPaths, img1, img2);

            img1 = @"C:\Bogus_Path.TIF";
            img2 = @"V:\Bogus_Path.JPG";
            testPaths = new string[] { img1, img2 };
            stThumbnailsTest2.QueueThumbnail(testPaths, img1, img2);

            _TestTimer.Enabled = false;
        }
    }
}